> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Notifications

> Retrieve current notification settings for your account



## OpenAPI

````yaml get /v1/notifications
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/notifications:
    get:
      summary: Get Notifications Setting
      description: Use this API to get the notification setting
      operationId: get-notification-setting
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    - event: customer_receipt
                      channel: email
                    - event: daily_collection
                      channel: email
                    - event: daily_collection
                      channel: push_notification
                    - event: daily_payout
                      channel: email
                    - event: incoming_payment
                      channel: email
                    - event: incoming_payment
                      channel: push_notification
                    - event: new_order
                      channel: email
                    - event: new_order
                      channel: push_notification
                    - event: mall_gto_sync
                      channel: email
              schema:
                type: array
                items:
                  type: object
                  properties:
                    event:
                      type: string
                    channel:
                      type: string
                  required:
                    - event
                    - channel
      deprecated: false

````